#!/bin/sh
XSERVER_MODULE="XFree86"
if [ -f /var/log/Xorg.0.log ] ; then
	XSERVER_MODULE="Xorg"
fi

echo "XGI Linux $XSERVER_MODULE installation for package `cat version`"
echo 

driver_bin="xgi_drv.o"

if [ "$X11R6" == "" ] ; then
	# echo "The system do not contains the X11R6 environment variable." 1>&2
	# echo "Use /usr/X11R6 as default X11R6 path." 1>&2
	# echo
	# echo
	X11R6=/usr/X11R6
	export X11R6
fi

if [ "$MACHTYPE" == "" ] ; then
	MACHTYPE=i386
fi

MACH=`echo $MACHTYPE | sed 's/-.*$//g'` ;

if [ "$MACH" == "x86_64" ] ; then
	# 64 bit
	CFG="/etc/X11/xorg.conf"
	BAK="/etc/X11/.xorg.conf.bak"
	if [ ! -f $CFG ] ; then
		CFG="/etc/X11/XF86Config"
		BAK="/etc/X11/.XF86Config.bak"
	fi

	driver_path=${X11R6}/lib64/modules/drivers

	if [ ! -d $driver_path ] ; then
		driver_path=${X11R6}/lib/modules/drivers
	fi
else
	CFG="/etc/X11/XF86Config"
	BAK="/etc/X11/.XF86Config.bak"
	if [ ! -f $CFG ] ; then
		CFG="/etc/X11/xorg.conf"
		BAK="/etc/X11/.xorg.conf.bak"
	fi
	
	driver_path=${X11R6}/lib/modules/drivers
fi

DRV="${driver_path}/xgi_drv.o"

if [ ! -d "$driver_path" ] ; then
	echo "Cannot open X11 installation path $driver_path. Exit." 1>&2
	exit -1 ;
fi

install -m 644 $driver_bin $driver_path
echo "Driver xgi_drv.o copy to ${driver_path} done."

if [ ! -f ${CFG} ] ; then
	echo "Cannot find XFree86 configuration file /etc/X11/XF86Config . Please run xf86config." 1>&2 
	exit -1 ;
fi


perl xgicfg.plx 

